Skip to main content
POST
/
mca
/
company
/
master-data
/
search
curl --request POST \
  --url https://test-api.sandbox.co.in/mca/company/master-data/search \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "@entity": "in.co.sandbox.kyc.mca.master_data.request",
  "id": "ABC-1234",
  "consent": "y",
  "reason": "For Company KYC"
}
'
{
  "code": 200,
  "timestamp": 1000000000000,
  "transaction_id": "bb3e2bb3-3244-4c27-86f3-700caa03d58b",
  "data": {
    "@entity": "in.co.sandbox.kyc.mca.llp",
    "llp_master_data": {
      "@entity": "in.co.sandbox.kyc.mca.llp.master_data",
      "email_id": "jane@doe.com",
      "registered_address": "1234, WILSON GARDEN BANGALORE Bangalore KA 560027 IN",
      "main_division_of_business_activity_to_be_carried_out_in_india": "74",
      "previous_firm/_company_details,_if_applicable": "",
      "llpin": "ABC-1234",
      "roc_code": "RoC-Bangalore",
      "number_of_designated_partners": "2",
      "date_of_incorporation": "24/04/2009",
      "llp_name": "JANE DOE CONSULTING LLP",
      "total_obligation_of_contribution": "15000",
      "llp_status": "Active",
      "description_of_main_division": "Other Business Activities",
      "number_of_partners": "0",
      "llp_strike_off/_amalgamated_date": "",
      "status_under_cirp": "",
      "rd_region": "RD South East Region",
      "balance_sheets": [
        {
          "@entity": "in.co.sandbox.kyc.mca.llp.balance_sheet",
          "date_of_filing": "31/03/2023",
          "financial_year": "31/03/2023"
        },
        {
          "@entity": "in.co.sandbox.kyc.mca.llp.balance_sheet",
          "date_of_filing": "31/03/2022",
          "financial_year": "31/03/2022"
        }
      ],
      "annual_returns": [
        {
          "@entity": "in.co.sandbox.kyc.mca.llp.annual_return",
          "date_of_filing": "31/03/2023",
          "financial_year": "31/03/2023"
        }
      ]
    },
    "charges": [],
    "directors/signatory_details": [
      {
        "@entity": "in.co.sandbox.kyc.mca.llp.directors_signatory_details",
        "end_date": "-",
        "designation": "Designated Partner",
        "din/pan": "99963999",
        "begin_date": "31/03/2010",
        "name": "JANE DOE"
      },
      {
        "@entity": "in.co.sandbox.kyc.mca.llp.directors_signatory_details",
        "end_date": "-",
        "designation": "Designated Partner",
        "din/pan": "99967999",
        "begin_date": "31/03/2010",
        "name": "JACK DOE"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt

Use this file to discover all available pages before exploring further.

https://mintcdn.com/sandboxfinancialtechnologiesprivatelimited/gviqebbpT5NUt_6i/static/svg/Postman.svg?fit=max&auto=format&n=gviqebbpT5NUt_6i&q=85&s=da47f2b7e10d87befec951aed9468de3

Run in Postman

Headers

Authorization
string
required

JWT access token. For token-generation steps, refer to the Quickstart Guide.

x-api-key
string
required

API key used to identify and authenticate the client.

x-api-version
string

Specifies the API version for the request.

Content-Type
enum<string>

Media type of the request body.

Available options:
application/json

Body

application/json
@entity
enum<string>
required
Available options:
in.co.sandbox.kyc.mca.master_data.request
id
string
required

Government-issued identification code of the entity being verified.

Required string length: 7 - 21

Explicit consent from the end user to retrieve and verify entity information.

Available options:
Y,
y
reason
string
required

Purpose for requesting verification of the entity’s information.

Minimum string length: 20

Response

200 - application/json

The response is of type object.